//
//  GeigerCameraViewController.m
//  GeigerCamera
//
//  Created by sanemat on 11/06/01.
//  Copyright 2011 na. All rights reserved.
//

#import "GeigerCameraViewController.h"

@implementation GeigerCameraViewController

//-(id)init
//{
//    if (self = [super init])
//    {
//            // Initialization code here
//    }
//    return self;
//}


/*
 * // The designated initializer. Override to perform setup that is required before the view is loaded.
 * - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
 *  self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
 *  if (self) {
 *      // Custom initialization
 *  }
 *  return self;
 * }
 */

-(void)viewDidLoad
{
   [self takePhoto];
}


/*
 * // Override to allow orientations other than the default portrait orientation.
 * - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 *  // Return YES for supported orientations
 *  return (interfaceOrientation == UIInterfaceOrientationPortrait);
 * }
 */

-(void)didReceiveMemoryWarning
{
   // Releases the view if it doesn't have a superview.
   [super didReceiveMemoryWarning];

   // Release any cached data, images, etc that aren't in use.
}

-(void)viewDidUnload
{
   // Release any retained subviews of the main view.
   // e.g. self.myOutlet = nil;
}


-(void)dealloc
{
   [super dealloc];
}
-(void)alertWithMsg: (NSString *) msg
{
   UIAlertView *alert = [[UIAlertView alloc] initWithTitle: nil
                                                   message: msg
                                                  delegate: nil
                                         cancelButtonTitle: nil
                                         otherButtonTitles: @"OK", nil];

   [alert show];
   [alert release];
}

-(void)takePhoto
{
   UIImagePickerController           *picker    = [[[UIImagePickerController alloc] init] autorelease];
   UIImagePickerControllerSourceType sourceType = UIImagePickerControllerSourceTypeCamera;

   if ([self isCameraAvairable: sourceType])
   {
      picker.delegate   = self;
      picker.sourceType = sourceType;
      [self presentModalViewController: picker animated: YES];
   }
   else
   {
      [self alertWithMsg: @"Buy a device with photo capability."];
   }
}

-(BOOL)isCameraAvairable: (UIImagePickerControllerSourceType) sourceType
{
   UIDevice *device = [UIDevice currentDevice];

   return(![device.model isEqualToString: @"iPhone Simulator"] && [UIImagePickerController isSourceTypeAvailable: sourceType]);
}

-(IBAction) cancel
{
}

@end
